#GIT_CMT=89af1c09c36251651d0341a123607e139e7c25c6
# Copyright(c) 2015,2016 Oracle and/or its affiliates.  All Rights Reserved.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

# Python major version.
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

# Package version
%global package_version 4.0.1
%global container_tag 4.0

# Kolla user name and group name (DO NOT CHANGE THESE!)
%global kolla_user      kolla
%global kolla_group     %{kolla_user}

# Docker group name
%global docker_group    docker


Summary:        OpenStack Kolla development files.
Name:           openstack-kolla-devel
Version:        %{package_version}
Release:    3.el7
License:        Apache License, Version 2.0
Group:          Applications/System
Url:            https://launchpad.net/kolla
Source0: openstack-kolla-devel-4.0.1.tar.bz2
BuildArch:      noarch

BuildRequires:  python                      >= 2.6
BuildRequires:  python-setuptools           >= 0.9.8
BuildRequires:  python-pbr                  >= 1.3.0
BuildRequires:  git                         >= 1.7.1
Requires:       GitPython                   >= 1.0.1
Requires:       python-gitdb                >= 0.6.4
Requires:       python-pbr                  >= 1.3.0
Requires:       python-jinja2               >= 2.8
Requires:       openstack-kolla-ansible     = %{package_version}


%description -n openstack-kolla-devel
Files used to develop Kolla OpenStack Docker images.


%prep
%setup -q -n %{name}-%{version}


%build
# Generate a temporary pkg-info file to make pbr happy
git init .
PKGINFO_NAME=$(sed -n -e '/^name/ s/name\s=\s//p' setup.cfg)
PKGINFO_VERSION=$(sed -n -e '/^version/ s/version\s=\s//p' setup.cfg)
if [[ -z "${PKGINFO_VERSION}" ]]
then
    PKGINFO_VERSION="%{package_version}"
fi
cat >PKG-INFO <<__EOF__
Metadata-Version: 1.1
Name: ${PKGINFO_NAME}
Version: ${PKGINFO_VERSION}
__EOF__

# Build the package
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Create the required directory structures
mkdir -m 0755 -p %{buildroot}%{_datadir}/kolla
cat >%{buildroot}%{_datadir}/kolla/LICENSE.TXT <<EOF
Oracle OpenStack for Oracle Linux is a management software package
comprised of various OpenStack components combined with independent software
programs that operate as OpenStack services. These independent programs
include parts of MySQL Community Edition, Oracle Linux and MySQL Cluster
Community Edition. The license for each OpenStack component, as well as the
licenses for each independent program, can be found in the root folder for
each component and/or program or in the specific Docker Container or RPM
package.
EOF

mkdir -m 0755 -p %{buildroot}%{_sysconfdir}/kolla
mkdir -m 0755 -p %{buildroot}%{_sysconfdir}/kolla/config
cp -r etc/kolla/* %{buildroot}%{_sysconfdir}/kolla/

[[ -d /etc/kolla/config ]] && find %{buildroot}%{_sysconfdir}/kolla/config -type f | xargs chmod 0664
[[ -d /etc/kolla/config ]] && find %{buildroot}%{_sysconfdir}/kolla/config -type d | xargs chmod 0775


%clean
# rm -rf %{buildroot}


%files
%defattr(-, %{kolla_user}, %{kolla_group})
%attr(0444, root, root) %doc LICENSE
%attr(0444, root, root) %doc README.rst
%attr(0444, root, root) %{_datadir}/kolla/LICENSE.TXT
%attr(-, root, %{kolla_group}) %{_bindir}/kolla-build
%{_sysconfdir}/kolla/kolla-build.conf
%{_sysconfdir}/kolla/template-overrides.j2
%{_datadir}/kolla/*
%{python_sitelib}/*
%exclude %{_datadir}/kolla/LICENSE.TXT
%exclude %{_datadir}/kolla/tools/cleanup-images
%exclude %{_datadir}/kolla/tools/validate-docker-execute.sh
%exclude %{python_sitelib}/kolla-*.egg-info
%exclude %{python_sitelib}/kolla/__init__*
%exclude %{python_sitelib}/kolla/cmd/__init__*


%changelog
* Fri Jan 12 2018 James McCarthy <james.m.mccarthy@oracle.com> - 4.0.1-3.el7
- BUILDINFO: commit=89af1c09c36251651d0341a123607e139e7c25c6
- Update spec file for devel rpm

* Wed Jan 10 2018 - James McCarthy <james.m.mccarthy@oracle.com>
- Initial release, devel package for docker images - post repo split

